<?php
namespace FM\Service;

use FM\Factory\GLocaisFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;

class GLocaisService {
    
    protected $GLocaisFactory;
    protected $Environment;
    protected $newCode;
    
    public function __construct (GLocaisFactory $GLocaisFactory, Environment $Environment, NewCode $newCode) {
        $this->GLocaisFactory  = $GLocaisFactory;
        $this->Environment                  = $Environment;
        $this->newCode                      = $newCode;
    }

    public function getServiceUnities($params){
        
        $validParam = '';
        
        if($params['inputLocalAt'] != '' && $params['inputLocalAt'] != null ) {
            $validParam = " AND UPPER(FCM_LOCALCLI.NMLOCALCLIENTE) LIKE UPPER('%".$params['inputLocalAt']."%')";
        }
 
        $operadores = $this->GLocaisFactory->getFactoryUnities($validParam);
        return $operadores;
    }
    
    public function getServiceLocal($nrlocalclientepai){
       
        $params = array(
            'NRLOCALCLIENTEPAI' => $nrlocalclientepai
        );
        $operadores = $this->GLocaisFactory->getFactoryLocal($params);
        return $operadores;
    }
    
    public function getServiceLocalType($params){
        
        $validParam = '';
        
        if($params['inputLocal'] != '' && $params['inputLocal'] != null ) {
            $validParam = " WHERE UPPER(FCM_TIPOLOCALCLI.NMTIPOLOCALCLI) LIKE UPPER('%".$params['inputLocal']."%') ";
        }
        $operadores = $this->GLocaisFactory->getFactoryLocalType($validParam);
        return $operadores;
    }
}
?>